<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: JanusConnection.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7fb163a4dc89aca96d4e26f985650b07.html">YLYL</a></li><li class="navelem"><a class="el" href="dir_8f6c78d92b415dfcccfa2f3a69d58ce9.html">Utitlity</a></li><li class="navelem"><a class="el" href="dir_3b043c8c2825803418b021c8408c0684.html">Janus</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">JanusConnection.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#import &lt;WebRTC/WebRTC.h&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div><div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="interface_janus_connection.html">    5</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_janus_connection.html">JanusConnection</a> : NSObject</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">@property</span> (readwrite, nonatomic) NSNumber *handleId;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">@property</span> (readwrite, nonatomic) <a class="code" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *connection;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">@property</span> (readwrite, nonatomic) <a class="code" href="interface_r_t_c_video_track.html">RTCVideoTrack</a> *videoTrack;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">@property</span> (readwrite, nonatomic) <a class="code" href="interface_r_t_c_e_a_g_l_video_view.html">RTCEAGLVideoView</a> *videoView;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_r_t_c_video_track_html"><div class="ttname"><a href="interface_r_t_c_video_track.html">RTCVideoTrack</a></div><div class="ttdef"><b>Definition:</b> RTCVideoTrack.h:22</div></div>
<div class="ttc" id="ainterface_r_t_c_peer_connection_html"><div class="ttname"><a href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a></div><div class="ttdef"><b>Definition:</b> RTCPeerConnection.h:112</div></div>
<div class="ttc" id="ainterface_janus_connection_html"><div class="ttname"><a href="interface_janus_connection.html">JanusConnection</a></div><div class="ttdef"><b>Definition:</b> JanusConnection.h:5</div></div>
<div class="ttc" id="ainterface_r_t_c_e_a_g_l_video_view_html"><div class="ttname"><a href="interface_r_t_c_e_a_g_l_video_view.html">RTCEAGLVideoView</a></div><div class="ttdef"><b>Definition:</b> RTCEAGLVideoView.h:32</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
